Get Withdrawal Order Information¶
Endpoint¶
Parameters¶
Path Parameters¶
| Field | Type | Description |
|---|---|---|
| b_id Required | String | Business line ID |
| order_no Required | String | Order ID |
Response¶
Response Body¶
| Field | Type | Description |
|---|---|---|
| code | Integer | Response code (0 = success) |
| message | String | Response message |
| successful | Boolean | Whether the request was successful |
| data | Object | Withdrawal order details (see data object details below) |
data (object)
| Field | Type | Description |
|---|---|---|
| bid | String | Business line ID |
| applicant | String | Order maker |
| order_no | String | Order ID |
| currency | String | Asset name |
| coin_name | String | Token name |
| fee | Integer | Withdrawal service fee |
| amount | Integer | Withdrawal amount |
| dest_wallet_code | String | Destination wallet ID |
| dest_address | String | Destination address |
| dest_tag | String | Destination address's tag or memo |
| status | String | Withdrawal order status Allowed values: PROCESSING (processing), COMPLETE (complete), FAILED (failed) |
| description | String | Order description |
| create_time_stamp | Long | Order creation time |
| tx_infos | Object[] | Transaction information (see tx_infos object details below) |
tx_infos (object)
| Field | Type | Description |
|---|---|---|
| tx_hash | String | Transaction hash |
Response Example¶
{
"code": 0,
"data": {
"bid": "string",
"applicant": "string",
"order_no": "string",
"currency": "string",
"coin_name": "string",
"fee": 100000000,
"amount": 200000000,
"dest_wallet_code": "string",
"dest_address": "string",
"dest_tag": "string",
"description": "string",
"status": "string",
"create_time_stamp": 1663130578000,
"tx_hash": [
{
"tx_hash": "xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx"
}
]
},
"message": "",
"successful": true
}